## org.apache.http.impl.nio.codecs
Class HttpRequestWriter

    java.lang.Object
      org.apache.http.impl.nio.codecs.AbstractMessageWriter
          org.apache.http.impl.nio.codecs.HttpRequestWriter

All Implemented Interfaces:
  NHttpMessageWriter

Deprecated. (4.1) use `DefaultHttpRequestWriter`

    @Deprecated
    public class HttpRequestWriter

extends AbstractMessageWriter

Default `NHttpMessageWriter` implementation for `HttpRequest`s.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter
`lineBuf, lineFormatter, sessionBuffer`

Constructor Summary
`HttpRequestWriter(SessionOutputBuffer buffer, LineFormatter formatter, HttpParams params)` Deprecated.

Method Summary
`protected void` `writeHeadLine(HttpMessage message)` Deprecated. Writes out the first line of `HttpMessage`.

Methods inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter
`reset, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestWriter

    public HttpRequestWriter(SessionOutputBuffer buffer,
                             LineFormatter formatter,
                             HttpParams params)

  Deprecated.

Method Detail

### writeHeadLine

    protected void writeHeadLine(HttpMessage message)
                          throws IOException

  Deprecated.
  Description copied from class: `AbstractMessageWriter`
  Writes out the first line of `HttpMessage`.

  Specified by:
    `writeHeadLine` in class `AbstractMessageWriter`
  Parameters:
    `message` - HTTP message.
  Throws:
    `IOException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.